import Vue from 'vue'
import Vuex from 'vuex'
import App from './App.vue'
import router from './router'
import store from './store'
import VueSocketIO from 'vue-socket.io'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css';
// import GlobalConfig from './config/GlobalConfig'

import './global.less' // global style


Vue.config.productionTip = false

Vue.use(Vuex)
Vue.use(ElementUI)
// Vue.prototype.$loading = Loading.service;
// Vue.prototype.$msgbox = MessageBox;
// Vue.prototype.$alert = MessageBox.alert;
// Vue.prototype.$confirm = MessageBox.confirm;
// Vue.prototype.$prompt = MessageBox.prompt;
// Vue.prototype.$notify = Notification;
// Vue.prototype.$message = Message;

// var strIp = "121.42.8.157:19702";
var strIp = "121.42.8.157:19703";
Vue.use(
  new VueSocketIO({
    debug: true,
    connection: "ws://" + strIp,
    options: {
      transports: ["websocket", "polling"],
    },
  })
);

new Vue({
  mounted: function () {
    console.log("mounted init home page");
    this.init();
  },
  data() {
    return {
      inited: false,
    };
  },
  methods: {
    init() {
      this.initService();
    },
    initService() {
      if (this.inited === false) {
        this.inited = true;
        // 此函数内开启监听服务器端（gis-server）传的数据
        // 第一个参数是命令字，第二个参数是匿名回调函数，其中回调函数的参数是服务器端传的数据内容
        this.sockets.subscribe("login", (data) => {
          console.log("receive [login] msg from server: " + data);
        });
        this.sockets.subscribe("CALL", (data) => {
          console.log('receive [CALL] msg from server: ' + data)
        });
        this.sockets.subscribe('PUSH', (data) => {
          let cmd = data.cmd
          let datas = data.data
          console.log(cmd, datas)
          if (data.cmd === 'tof_data_oneAntenna') {
            if (data.data.length !== 0) {
              this.$store.commit('tof_data_oneAntenna', data)
            }
          }
          // if (cmd === 'event') {
          //   this.$store.commit('deviceStateData', datas)
          // } else if (cmd === 'light_state') {
          //   // this.$store.commit('lightStateData', datas)
          // } else if (cmd === 'pos_map') {
          //   // console.log('drawCard')
          //   // this.$store.commit('devicePosData', datas)
          //   this.$store.commit('drawCard', datas)
          // } else if (cmd === 'load_history_completed') {
          //   this.$store.commit('loadHistoryDone', data)
          // } else if (cmd === 'tof_data') {
          //   if (data.data.length !== 0) {
          //     this.$store.commit('sxqMapSelect', data)
          //     // this.$store.commit('logMsgm', data.data)
          //     // console.log(data.data.toString())
          //   }
          // } else if (cmd === 'sb_raw_data') {
          //   if (data.data.length !== 0) {
          //     this.$store.commit('sxqSelect', data)
          //     // this.$store.commit('logMsgm', data.data)
          //     // console.log(data.data.toString())
          //   }
          // } else if (cmd === 'tdoa_2d_raw_data') {
          //   if (data.data.length !== 0) {
          //     this.$store.commit('tdoa_2d_raw_data', data)
          //   }
          // } else if (cmd === 'tof_data_oneAntenna') {
          //   if (data.data.length !== 0) {
          //     this.$store.commit('tof_data_oneAntenna', data)
          //   }
          // } else if (cmd === 'pdoa_3d_raw_data') {
          //   if (data.data.length !== 0) {
          //     this.$store.commit('tdoa3dSelect', data)
          //   }
          // }
        })
        this.sockets.subscribe('FILE', (data) => {
          if (data.cmd === 'upload_more') {
            this.$store.commit('uploadChunk', data)
          } else if (data.cmd === 'upload_done') {
            this.$store.commit('uploadDone', data)
          }
        })
      }
    },
  },
  sockets: {
    connecting() {
      console.log("正在连接");
    },
    disconnect() {
      console.log("Socket 断开");
    },
    connect_failed() {
      console.log("连接失败");
    },
    connected() {
      console.log("socket connected");
    },
    connect() {
      console.log("socket connect");
      var start = new Date().getTime();
      while (new Date().getTime() - start < 500) {
        // 使用continue 实现；
        continue;
      }
      // this.$socket.emit('login', `{"cmd": "login", "data": {"name": "COLLECTOR", "password": "666666"}}`)
      this.$socket.emit(
        "USER",
        {
          cmd: "login",
          data: {
            user_name: "zjs",
            user_pass: "123",
          },
        },
        (data) => {
          console.log("OK, got into login-callback");
          console.log(JSON.stringify(data));
        }
      );
      // console.log(this);
      this.init();
    },

    device_state(data) {
      console.log(data);
    },
  },
  store,
  router,
  render: h => h(App),
}).$mount('#app')
