import Vue from "vue";
import VueRouter from "vue-router";
import HomeView from '../views/HomeView.vue'

Vue.use(VueRouter);

const routes = [
  //因为导航到的每个页面，都包含了导航栏、头部、底部、主体部分（统一到MyLayout组件中）
  //所以我每个菜单都会让根菜单component: MyLayout，再用 redirect 找到原本component的主体页面。（有多个子菜单的 redirect 可以省略）
  // {
  //   path: "/",
  //   component: MyLayout,
  //   redirect: '/ordinaryPage',
  //   children: [
  //     {
  //       path: "ordinaryPage",
  //       component: () => import("@/views/ordinaryPage")
  //     }
  //   ]
  // },
  // {
  //   path: '/',
  //   name: 'home',
  //   component: HomeView
  // },
  {
    path: '/realtimePos',
    name: 'realtimePos',
    // route level code-splitting
    // this generates a separate chunk (About.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import('../views/RealTimePos')
  },
  {
    path: '/sceneCfg',
    name: 'sceneCfg',
    // route level code-splitting
    // this generates a separate chunk (About.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import('../views/SceneCfg')
  },
  {
    path: '/readerCfg',
    name: 'readerCfg',
    // route level code-splitting
    // this generates a separate chunk (About.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import('../views/ReaderCfg')
  },
];

const router = new VueRouter({
  mode: "history",
  base: process.env.BASE_URL,
  routes,
});

export default router;
